compile error svn rev 27 on amd64

lkcl luke.leighton at
Thu Nov 25 20:30:00 CET 2010

folks hi thought i'd give l4re a shot, see how far it is along, and if i can
get it compiled on ARM.  that failed miserably, with libstdc++v3 errors
(using arm-linux-gnueabi-g++ 4.3.2) in Rope and in __is_empty so i thought
i'd try amd64, and _that_'s failing too!

make[5]: Leaving directory
make[7]: Leaving directory
make[6]: Leaving directory
  ==> Linking bootstrap32.elf
  ... Building
/usr/bin/ld: skipping incompatible
/usr/lib/gcc/x86_64-linux-gnu/4.4.3/libgcc.a when searching for -lgcc
/usr/bin/ld: skipping incompatible
/usr/lib/gcc/x86_64-linux-gnu/4.4.3/libgcc.a when searching for -lgcc
/usr/bin/ld: cannot find -lgcc
collect2: ld returned 1 exit status
make[5]: *** [bootstrap32.elf] Error 1

i put this into the Makefile but it's having none of it:
LDFLAGS   := -nostdinc -m32

yes obviously -lgcc is installed, ld is clearly trying to link with libgcc.a
instead of ..../32/libgcc.a - what's the story, here?



p.s. i really do want to get ARM compiled but whereas gcc 4.4.2 and g++
4.4.2 seem to not barf on libstdc++-v3, arm-linux-gnueabi-g++-4.3.2 does. 
what's the story there, as well?

View this message in context:
Sent from the L4 mailing list archive at

More information about the l4-hackers mailing list